#include "testlib.h"
 
const int32_t MAX_T = 10'000;
const int32_t MAX_SO = 1'000'000;

  
 
std::string english_plural(const int32_t n) {
    return n == 1 ? "" : "s";
}
 
int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    auto t = inf.readInt(1, MAX_T, "t");
    inf.readEoln();
    for(int i=0; i<t; i++)
    {
         inf.readInt(1, MAX_SO, "p");
         inf.readSpace();
         inf.readInt(0, MAX_SO, "np");
         inf.readEoln();
    }
    inf.readEof();
}